Package com.enonic.xp.node

## Class AbstractQuery

- java.lang.Object
- - com.enonic.xp.node.AbstractQuery

- All Implemented Interfaces:
    `Query`
  Direct Known Subclasses:
    `NodeCommitQuery`, `NodeQuery`, `NodeVersionQuery`

      public class AbstractQuery
      extends Object
      implements Query

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AbstractQuery.Builder<B extends AbstractQuery.Builder>` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `AbstractQuery​(AbstractQuery.Builder<?> builder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AggregationQueries` | `getAggregationQueries()` |
    `int` | `getBatchSize()` |
    `int` | `getFrom()` |
    `HighlightQuery` | `getHighlight()` |
    `ImmutableList<OrderExpr>` | `getOrderBys()` |
    `Filters` | `getPostFilters()` |
    `QueryExpr` | `getQuery()` |
    `Filters` | `getQueryFilters()` |
    `SearchMode` | `getSearchMode()` |
    `SearchOptimizer` | `getSearchOptimizer()` |
    `int` | `getSize()` |
    `SuggestionQueries` | `getSuggestionQueries()` |
    `boolean` | `isExplain()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractQuery

          protected AbstractQuery​(AbstractQuery.Builder<?> builder)

  - ### Method Detail

    - #### getOrderBys

          public ImmutableList<OrderExpr> getOrderBys()

      Specified by:
        `getOrderBys` in interface `Query`

    - #### getQuery

          public QueryExpr getQuery()

      Specified by:
        `getQuery` in interface `Query`

    - #### getPostFilters

          public Filters getPostFilters()

      Specified by:
        `getPostFilters` in interface `Query`

    - #### getQueryFilters

          public Filters getQueryFilters()

      Specified by:
        `getQueryFilters` in interface `Query`

    - #### getAggregationQueries

          public AggregationQueries getAggregationQueries()

      Specified by:
        `getAggregationQueries` in interface `Query`

    - #### getSuggestionQueries

          public SuggestionQueries getSuggestionQueries()

      Specified by:
        `getSuggestionQueries` in interface `Query`

    - #### getHighlight

          public HighlightQuery getHighlight()

      Specified by:
        `getHighlight` in interface `Query`

    - #### getFrom

          public int getFrom()

      Specified by:
        `getFrom` in interface `Query`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in interface `Query`

    - #### isExplain

          public boolean isExplain()

      Specified by:
        `isExplain` in interface `Query`

    - #### getBatchSize

          public int getBatchSize()

    - #### getSearchMode

          public SearchMode getSearchMode()

      Specified by:
        `getSearchMode` in interface `Query`

    - #### getSearchOptimizer

          public SearchOptimizer getSearchOptimizer()